{{#if this.pointLocation}}
  <MapInteractive @userLocation={{this.position.center}} class="map-geo-json" as | map |>
    <Map::Overlay class="zero" @map={{map}} @position={{this.pointLocation}}>
      <PointIcon />
      <div class="d-none" {{did-insert (fn this.setupPoint map)}} {{did-update (fn this.setupPoint map) @value}}></div>
    </Map::Overlay>
  </MapInteractive>
{{else}}
  <div class="d-flex map-geo-json">
    <div class="message text-center">
      <FaIcon @icon="circle-dot" @size="3x" class="mb-3"/>
      <p>{{@noValueMessage}}</p>
    </div>
  </div>
{{/if}}
